FLANG

Public Member Functions | List of all members
Fortran::evaluate::NamedEntity Class Reference

## Public Member Functions
| NamedEntity (const Symbol &symbol)
| NamedEntity (Component &&c)
bool | IsSymbol () const
const Symbol & | GetFirstSymbol () const
const Symbol & | GetLastSymbol () const
const Component & | GetComponent () const
Component & | GetComponent ()
const Component * | UnwrapComponent () const
Component * | UnwrapComponent ()
int | Rank () const
std::optional< Expr< SubscriptInteger > > | LEN () const
bool | operator== (const NamedEntity &) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

The documentation for this class was generated from the following files:

- include/flang/Evaluate/variable.h
- lib/Evaluate/formatting.cpp
- lib/Evaluate/variable.cpp